Skip to main content
POST
/
movies
/
estimate
Estimate a movie
curl --request POST \
  --url https://api.keyframe.art/v1/movies/estimate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "<string>"
}
'
{
  "estimated_credits": 1,
  "estimated_runtime_seconds": 1,
  "currency": "<string>",
  "amount_minor": 1,
  "assumptions": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
prompt
string
required

Creative brief for the movie.

Required string length: 10 - 8000
duration_seconds
integer
default:30

Target final movie duration.

Required range: 5 <= x <= 120
aspect_ratio
enum<string>
Available options:
16:9,
9:16,
1:1,
4:5
style
string

Natural-language style direction.

Maximum string length: 1000
references
object[]
Maximum array length: 20
webhook_url
string<uri>

Optional HTTPS endpoint for lifecycle events.

Response

Movie estimate.

estimated_credits
integer
required

Estimated credits required to create the movie.

Required range: x >= 0
estimated_runtime_seconds
integer
required

Rough wall-clock generation time.

Required range: x >= 0
currency
string
required
Required string length: 3
Example:

"USD"

amount_minor
integer
required

Estimated monetary value in minor currency units.

Required range: x >= 0
assumptions
string[]

Important assumptions used for the estimate.